> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Unfreeze the card account

> Remove the freeze on the card account placed by the specified initiator



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json post /customers/{customerID}/card_accounts/{cardAccountID}/unfreeze
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/unfreeze:
    post:
      tags:
        - Cards
      summary: Unfreeze the card account
      description: Remove the freeze on the card account placed by the specified initiator
      parameters:
        - $ref: '#/components/parameters/IdempotencyKeyParameter'
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
      requestBody:
        description: A request to unfreeze the card account
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostCardUnfreezeInput'
      responses:
        '200':
          description: The successfully removed freeze
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardUnfreezeResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    IdempotencyKeyParameter:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    PostCardUnfreezeInput:
      required:
        - initiator
      properties:
        initiator:
          allOf:
            - $ref: '#/components/schemas/CardFreezeInitiator'
          description: The party of the freeze to be removed
    CardUnfreezeResponse:
      description: Card unfreeze response
      required:
        - card_account_id
        - initiator
        - reason
        - created_at
        - status
      allOf:
        - $ref: '#/components/schemas/CardFreeze'
        - properties:
            initiator:
              description: The initiator of the removed freeze
            reason:
              description: The reason of the removed freeze
            reason_detail:
              description: The reason detail of the removed freeze
            starting_at:
              description: The start time of the removed freeze, in ISO8601 format
            ending_at:
              description: The end time of the removed freeze, in ISO8601 format
            created_at:
              description: The creation time of the removed freeze, in ISO8601 format
            status:
              type: string
              description: The processing status of the unfreeze request
              readOnly: true
              enum:
                - freeze_removed
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    CardFreezeInitiator:
      type: string
      description: >-
        The party that initiated the freeze. A freeze can be initiated by either
        the customer or developer. Only one freeze per initiator can be active
        at a time. If a new freeze is initiated by the same party, it overwrites
        any existing freeze
      enum:
        - developer
        - customer
    CardFreeze:
      description: Card freeze
      required:
        - card_account_id
        - initiator
        - reason
        - created_at
        - status
      properties:
        card_account_id:
          $ref: '#/components/schemas/Id'
          description: Card account ID
        initiator:
          $ref: '#/components/schemas/CardFreezeInitiator'
        reason:
          $ref: '#/components/schemas/CardFreezeReason'
        reason_detail:
          type: string
          description: A more detailed reason for the freeze
        starting_at:
          type: string
          description: The start time of the freeze, in ISO8601 format
        ending_at:
          type: string
          description: The end time of the freeze, in ISO8601 format
        created_at:
          type: string
          description: The creation time of the freeze, in ISO8601 format
          readOnly: true
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    CardFreezeReason:
      type: string
      description: The reason of the freeze
      enum:
        - lost_or_stolen
        - suspicious_activity
        - planned_inactivity
        - suspected_fraud
        - other
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````